package budgeteer

// Token contains data that authenticates a user
type Token interface {
	GetUsername() string
	GetName() string
	GetExpiry() float64
	GetID() string
}

// TokenVerifier verifies a Token
type TokenVerifier interface {
	VerifyToken(string) (Token, error)
	CreateToken(*User) (string, error)
}
